#ifndef TEXTPARTICLEWIDGET_H
#define TEXTPARTICLEWIDGET_H

#include <QWidget>

class QLabel;
struct Particle;

class TextParticleWidget : public QWidget
{
  Q_OBJECT
public:
  explicit TextParticleWidget(QWidget *parent = nullptr);

  void setParticle(const Particle *particle);
  void clear();

private:
  QLabel *m_label;
};

#endif // TEXTPARTICLEWIDGET_H
